#### D.5.4.2 divisorplus

Procedure from library `divisors.lib` (see divisors_lib).

Usage:
  divisorplus(A ,B); A + B; A = divisor, B = divisor.

Assume:
  A and B are divisors on X.

Return:
  a divisor on X

Theory:
  The procedure will compute the product of the numerator and denominator ideals, respectively.

Example:

    LIB "divisors.lib";
    ring r=31991,(x,y,z),dp;
    ideal I = y^2*z - x*(x-z)*(x+3*z);
    qring Q = std(I);
    divisor A = makeDivisor(ideal(x,z),ideal(1));
    divisor B = makeDivisor(ideal(x,y),ideal(1));
    A+B;
    ==> (x,yz) - (1)
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.